apply-all:
  only:
    refs:
      - schedules
  stage: all
  allow_failure: false
  tags:
    - guide-iaac-runners
  script:
    - /scripts/provision-all.sh apply
  retry:    
    max: 2    
    when:      
        - always  
  artifacts:
    name: 'guide'
    expire_in: never
    paths:
      - ./kubeconfig_*
      - ./guide_*
      - ./*_README.md  

destroy-all:
  only:
    refs:
      - schedules
  stage: all
  when: delayed
  start_in: 108 hours
  allow_failure: false
  tags:
    - guide-iaac-runners
  script:
    - /scripts/provision-all.sh destroy
  retry:    
      max: 2    
      when:      
         - always 
